var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/cascader/index.ts
var cascader_exports = {};
__export(cascader_exports, {
  fireChange: () => fireChange,
  fireClear: () => fireClear,
  fireOpen: () => fireOpen,
  fireSearch: () => fireSearch,
  query: () => query,
  queryDropdown: () => queryDropdown,
  queryInput: () => queryInput,
  queryMenu: () => queryMenu,
  queryMenuItem: () => queryMenuItem,
  querySelect: () => querySelect
});
module.exports = __toCommonJS(cascader_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_select = require("../select");
var import_utils = require("../utils");
var mixins = {
  query,
  querySelect,
  queryInput,
  queryDropdown,
  queryMenu,
  queryMenuItem,
  fireOpen,
  fireChange,
  fireSearch,
  fireClear
};
function fireOpen(container) {
  (0, import_select.fireOpen)(container);
}
function fireChange(container, typeOrIndex, ...rest) {
  var _a, _b;
  const type = typeof typeOrIndex === "string" ? typeOrIndex : "click";
  const indexes = typeof typeOrIndex === "number" ? [typeOrIndex].concat(rest) : rest;
  const triggerEvent = {
    click: "click",
    hover: "mouseEnter"
  };
  for (let i = 0; i < indexes.length; i++) {
    const index = indexes[i];
    const selectors = [
      `ul.${(0, import_provider.getProvider)("prefixCls")}-cascader-menu`,
      `li.${(0, import_provider.getProvider)("prefixCls")}-cascader-menu-item`
    ];
    const ele = (0, import_utils.queryViaSelectors)(container, selectors, [i, index]);
    if (!ele)
      throw (0, import_utils.failedQuerySelector)(selectors.join(" "));
    const last = i === indexes.length - 1;
    (_b = (_a = import_react.fireEvent)[last ? "click" : triggerEvent[type]]) == null ? void 0 : _b.call(_a, ele);
  }
}
function fireSearch(container, value) {
  const selector = "input";
  const ele = queryInput(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.change(ele, { target: { value } });
}
function fireClear(container) {
  (0, import_select.fireClear)(container);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-cascader`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function querySelect(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-select-selector`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryInput(container, index = 0) {
  const selector = "input";
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryDropdown(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-cascader-dropdown:not(.${(0, import_provider.getProvider)(
    "prefixCls"
  )}-select-dropdown-hidden)`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryMenu(container, index = 0) {
  const selector = `ul.${(0, import_provider.getProvider)("prefixCls")}-cascader-menu`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryMenuItem(container, index = 0) {
  const selector = `li.${(0, import_provider.getProvider)("prefixCls")}-cascader-menu-item`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireChange,
  fireClear,
  fireOpen,
  fireSearch,
  query,
  queryDropdown,
  queryInput,
  queryMenu,
  queryMenuItem,
  querySelect
});
