var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/colorPicker/index.ts
var colorPicker_exports = {};
__export(colorPicker_exports, {
  fireChange: () => fireChange,
  fireOpen: () => fireOpen,
  query: () => query,
  queryColorAlphaInput: () => queryColorAlphaInput,
  queryColorInput: () => queryColorInput,
  queryColorPanel: () => queryColorPanel
});
module.exports = __toCommonJS(colorPicker_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryColorPanel,
  queryColorInput,
  queryColorAlphaInput,
  fireChange,
  fireOpen
};
function fireChange(container, color) {
  const selectors = [
    `.${(0, import_provider.getProvider)("prefixCls")}-color-picker:not(.${(0, import_provider.getProvider)("prefixCls")}-popover-hidden) .${(0, import_provider.getProvider)(
      "prefixCls"
    )}-color-picker-input input`,
    `.${(0, import_provider.getProvider)("prefixCls")}-color-picker:not(.${(0, import_provider.getProvider)("prefixCls")}-popover-hidden) .${(0, import_provider.getProvider)(
      "prefixCls"
    )}-color-picker-alpha-input input`
  ];
  if (color.hexColor) {
    const ele = queryColorInput(container);
    if (!ele)
      throw (0, import_utils.failedQuerySelector)(selectors[0]);
    import_react.fireEvent.input(ele, { target: { value: color.hexColor } });
  }
  if (color.alpha) {
    const ele = queryColorAlphaInput(container);
    if (!ele)
      throw (0, import_utils.failedQuerySelector)(selectors[1]);
    import_react.fireEvent.input(ele, { target: { value: color.alpha } });
  }
}
function fireOpen(container, index = 0, trigger = "click") {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-color-picker-trigger`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  if (trigger === "hover")
    import_react.fireEvent.mouseEnter(ele);
  else
    import_react.fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-color-picker-trigger`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryColorPanel(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-color-picker:not(.${(0, import_provider.getProvider)("prefixCls")}-popover-hidden)`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryColorInput(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-color-picker:not(.${(0, import_provider.getProvider)(
    "prefixCls"
  )}-popover-hidden) .${(0, import_provider.getProvider)("prefixCls")}-color-picker-input input`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryColorAlphaInput(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-color-picker:not(.${(0, import_provider.getProvider)(
    "prefixCls"
  )}-popover-hidden) .${(0, import_provider.getProvider)("prefixCls")}-color-picker-alpha-input input`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireChange,
  fireOpen,
  query,
  queryColorAlphaInput,
  queryColorInput,
  queryColorPanel
});
