var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/datePicker/index.ts
var datePicker_exports = {};
__export(datePicker_exports, {
  fireChange: () => fireChange,
  fireClose: () => fireClose,
  fireOk: () => fireOk,
  fireOpen: () => fireOpen,
  firePanelChange: () => firePanelChange,
  query: () => query,
  queryDecadeButton: () => queryDecadeButton,
  queryDropdown: () => queryDropdown,
  queryInput: () => queryInput,
  queryMonthButton: () => queryMonthButton,
  queryNextButton: () => queryNextButton,
  queryPrevButton: () => queryPrevButton,
  querySuperNextButton: () => querySuperNextButton,
  querySuperPrevButton: () => querySuperPrevButton,
  queryYearButton: () => queryYearButton
});
module.exports = __toCommonJS(datePicker_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryInput,
  queryDropdown,
  queryDecadeButton,
  queryMonthButton,
  queryNextButton,
  queryPrevButton,
  queryYearButton,
  querySuperNextButton,
  querySuperPrevButton,
  fireOpen,
  fireClose,
  firePanelChange,
  fireChange,
  fireOk
};
function fireOpen(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker .${(0, import_provider.getProvider)("prefixCls")}-picker-input`;
  const ele = queryInput(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
  import_react.fireEvent.focus(ele);
}
function fireClose(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-input input`;
  const ele = queryInput(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.blur(ele);
}
function firePanelChange(container) {
  const ele = querySuperPrevButton(container) || queryPrevButton(container) || queryNextButton(container) || querySuperNextButton(container) || queryMonthButton(container) || queryYearButton(container) || queryDecadeButton(container);
  if (!ele)
    throw (0, import_utils.failedTriggerElement)();
  import_react.fireEvent.click(ele);
}
function fireChange(container, text) {
  const eles = container.querySelectorAll(
    `.${(0, import_provider.getProvider)("prefixCls")}-picker-dropdown:not(.${(0, import_provider.getProvider)("prefixCls")}-picker-dropdown-hidden) table td`
  );
  const selector = "-in-view";
  const cell = Array.from(eles).find((td) => {
    return td.textContent === String(text) && td.className.includes(selector);
  });
  if (!cell)
    throw (0, import_utils.failedQuerySelector)(`end with ${selector}`);
  import_react.fireEvent.click(cell);
}
function fireOk(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-ok > *`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryInput(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-input input`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryDropdown(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-dropdown:not(${(0, import_provider.getProvider)(
    "prefixCls"
  )}-picker-dropdown-hidden)`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function querySuperPrevButton(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-header-super-prev-btn`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryPrevButton(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-header-prev-btn`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function querySuperNextButton(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-header-super-next-btn`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryNextButton(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-header-next-btn`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryDecadeButton(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-decade-btn`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryYearButton(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-year-btn`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryMonthButton(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-month-btn`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireChange,
  fireClose,
  fireOk,
  fireOpen,
  firePanelChange,
  query,
  queryDecadeButton,
  queryDropdown,
  queryInput,
  queryMonthButton,
  queryNextButton,
  queryPrevButton,
  querySuperNextButton,
  querySuperPrevButton,
  queryYearButton
});
