var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/dropdown/index.ts
var dropdown_exports = {};
__export(dropdown_exports, {
  fireCloseWithESC: () => fireCloseWithESC,
  fireOpen: () => fireOpen,
  fireSelect: () => fireSelect,
  query: () => query,
  queryDropdownMenu: () => queryDropdownMenu,
  queryDropdownMenuItem: () => queryDropdownMenuItem
});
module.exports = __toCommonJS(dropdown_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryDropdownMenu,
  queryDropdownMenuItem,
  fireOpen,
  fireSelect
};
function fireCloseWithESC() {
  import_react.fireEvent.keyDown(window, { key: "Esc", keyCode: 27 });
}
function fireOpen(container, trigger = "hover") {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-dropdown-trigger`;
  const ele = query(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  if (trigger === "click") {
    import_react.fireEvent.click(ele);
  } else if (trigger === "contextMenu") {
    import_react.fireEvent.contextMenu(ele);
  } else {
    import_react.fireEvent.mouseEnter(ele);
  }
  (0, import_react.act)(() => {
    jest.runAllTimers();
  });
}
function fireSelect(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-dropdown-menu-item`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  if (!ele)
    return (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-dropdown-trigger`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryDropdownMenu(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-dropdown:not(.${(0, import_provider.getProvider)(
    "prefixCls"
  )}-dropdown-hidden) .${(0, import_provider.getProvider)("prefixCls")}-dropdown-menu`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryDropdownMenuItem(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-dropdown-menu-item`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireCloseWithESC,
  fireOpen,
  fireSelect,
  query,
  queryDropdownMenu,
  queryDropdownMenuItem
});
