var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/input/index.ts
var input_exports = {};
__export(input_exports, {
  fireBlur: () => fireBlur,
  fireChange: () => fireChange,
  fireClear: () => fireClear,
  fireFocus: () => fireFocus,
  firePressEnter: () => firePressEnter,
  fireSearch: () => fireSearch,
  query: () => query,
  querySearchButton: () => querySearchButton,
  textarea: () => textarea
});
module.exports = __toCommonJS(input_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var textarea = __toESM(require("./textarea"));
var mixins = {
  query,
  querySearchButton,
  fireFocus,
  fireBlur,
  fireChange,
  fireClear,
  firePressEnter,
  fireSearch
};
function fireFocus(container) {
  const selector = "input";
  const inputEl = query(container);
  if (!inputEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.focus(inputEl);
}
function fireBlur(container) {
  const selector = "input";
  const inputEl = query(container);
  if (!inputEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.blur(inputEl);
}
function fireChange(container, value) {
  const selector = "input";
  const inputEl = query(container);
  if (!inputEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.change(inputEl, { target: { value } });
}
function fireClear(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-input-clear-icon`;
  const ele = container instanceof HTMLInputElement ? query(container.parentElement) : (0, import_utils.queryViaSelector)(container, selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function firePressEnter(container) {
  const selector = "input";
  const inputEl = query(container);
  if (!inputEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.keyDown(inputEl, { key: "Enter" });
}
function fireSearch(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-input-search-button`;
  const ele = querySearchButton(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-input`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function querySearchButton(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-input-search-button`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireBlur,
  fireChange,
  fireClear,
  fireFocus,
  firePressEnter,
  fireSearch,
  query,
  querySearchButton,
  textarea
});
