var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/input/textarea.ts
var textarea_exports = {};
__export(textarea_exports, {
  fireBlur: () => fireBlur,
  fireChange: () => fireChange,
  fireClear: () => fireClear,
  fireFocus: () => fireFocus,
  firePressEnter: () => firePressEnter,
  query: () => query
});
module.exports = __toCommonJS(textarea_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var import__ = require(".");
function fireFocus(container) {
  const selector = `textarea.${(0, import_provider.getProvider)("prefixCls")}-input`;
  const textareaEl = query(container);
  if (!textareaEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.focus(textareaEl);
}
function fireBlur(container) {
  const selector = `textarea.${(0, import_provider.getProvider)("prefixCls")}-input`;
  const textareaEl = query(container);
  if (!textareaEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.blur(textareaEl);
}
function fireChange(container, value) {
  const selector = `textarea.${(0, import_provider.getProvider)("prefixCls")}-input`;
  const textareaEl = query(container);
  if (!textareaEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.change(textareaEl, { target: { value } });
}
function fireClear(container) {
  (0, import__.fireClear)(container);
}
function firePressEnter(container) {
  const selector = `textarea.${(0, import_provider.getProvider)("prefixCls")}-input`;
  const textareaEl = query(container);
  if (!textareaEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.keyDown(textareaEl, { keyCode: 13 });
}
function query(container, index = 0) {
  const selector = `textarea.${(0, import_provider.getProvider)("prefixCls")}-input`;
  return (0, import_utils.queryViaSelector)(container, selector, index);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireBlur,
  fireChange,
  fireClear,
  fireFocus,
  firePressEnter,
  query
});
