var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/inputNumber/index.ts
var inputNumber_exports = {};
__export(inputNumber_exports, {
  fireBlur: () => fireBlur,
  fireChange: () => fireChange,
  fireFocus: () => fireFocus,
  firePressEnter: () => firePressEnter,
  fireStepDown: () => fireStepDown,
  fireStepUp: () => fireStepUp,
  query: () => query,
  queryInput: () => queryInput
});
module.exports = __toCommonJS(inputNumber_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryInput,
  fireChange,
  fireStepUp,
  fireStepDown,
  firePressEnter,
  fireFocus,
  fireBlur
};
function fireChange(container, value) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-input-number-input`;
  const ele = queryInput(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.change(ele, { target: { value } });
}
function fireStepUp(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-input-number-handler-up`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.mouseDown(ele);
}
function fireStepDown(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-input-number-handler-down`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.mouseDown(ele);
}
function firePressEnter(container) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-input-number`;
  const inputEl = query(container);
  if (!inputEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.keyDown(inputEl, { key: "Enter", keyCode: 13, which: 13 });
}
function fireFocus(container) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-input-number-input`;
  const inputEl = queryInput(container);
  if (!inputEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.focus(inputEl);
}
function fireBlur(container) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-input-number-input`;
  const inputEl = queryInput(container);
  if (!inputEl)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.blur(inputEl);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-input-number`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryInput(container, index = 0) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-input-number-input`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireBlur,
  fireChange,
  fireFocus,
  firePressEnter,
  fireStepDown,
  fireStepUp,
  query,
  queryInput
});
