var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/pagination/index.ts
var pagination_exports = {};
__export(pagination_exports, {
  fireChange: () => fireChange,
  fireSizeChange: () => fireSizeChange,
  fireSizeOpen: () => fireSizeOpen,
  query: () => query,
  queryJumpNext: () => queryJumpNext,
  queryJumpPrev: () => queryJumpPrev,
  queryNextButton: () => queryNextButton,
  queryPaginationItem: () => queryPaginationItem,
  queryPrevButton: () => queryPrevButton,
  queryQuickJump: () => queryQuickJump
});
module.exports = __toCommonJS(pagination_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var select = __toESM(require("../select"));
var import_utils = require("../utils");
var mixins = {
  query,
  queryNextButton,
  queryPrevButton,
  queryPaginationItem,
  queryJumpNext,
  queryJumpPrev,
  queryQuickJump,
  fireChange,
  fireSizeChange,
  fireSizeOpen
};
function fireSizeOpen(container) {
  select.fireOpen(container);
}
function fireSizeChange(container, index) {
  const dropdown = select.queryDropdown(container);
  if (!dropdown)
    throw (0, import_utils.failedTriggerElement)();
  select.fireSelect(dropdown, index);
}
function fireChange(container, value) {
  if (container instanceof HTMLInputElement) {
    if (!value)
      throw new Error("Call quick jump must pass through value");
    import_react.fireEvent.focus(container);
    import_react.fireEvent.change(container, { target: { value } });
    import_react.fireEvent.blur(container);
  } else {
    const ele = queryNextButton(container) || queryPrevButton(container) || container;
    if (!ele)
      throw (0, import_utils.failedTriggerElement)();
    import_react.fireEvent.click(ele);
  }
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-pagination`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryPrevButton(container, index = 0) {
  const selectors = [
    `.${(0, import_provider.getProvider)("prefixCls")}-pagination-prev`,
    `.${(0, import_provider.getProvider)("prefixCls")}-pagination-item-link`
  ];
  const ele = (0, import_utils.queryViaSelectors)(container, selectors, [index]);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryNextButton(container, index = 0) {
  const selectors = [
    `.${(0, import_provider.getProvider)("prefixCls")}-pagination-next`,
    `.${(0, import_provider.getProvider)("prefixCls")}-pagination-item-link`
  ];
  const ele = (0, import_utils.queryViaSelectors)(container, selectors, [index]);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryPaginationItem(container, index) {
  if (index === 0) {
    console.warn("Page number should not start from 0");
    return null;
  }
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-pagination-item-${index}`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, 0);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryJumpNext(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-pagination-jump-next`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryJumpPrev(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-pagination-jump-prev`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryQuickJump(container, index = 0) {
  const selectors = [`.${(0, import_provider.getProvider)("prefixCls")}-pagination-options-quick-jumper`, "input"];
  const ele = (0, import_utils.queryViaSelectors)(container, selectors, [index]);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireChange,
  fireSizeChange,
  fireSizeOpen,
  query,
  queryJumpNext,
  queryJumpPrev,
  queryNextButton,
  queryPaginationItem,
  queryPrevButton,
  queryQuickJump
});
