var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/radio/index.ts
var radio_exports = {};
__export(radio_exports, {
  fireChange: () => fireChange,
  fireMouseEnter: () => fireMouseEnter,
  fireMouseLeave: () => fireMouseLeave,
  query: () => query,
  queryGroup: () => queryGroup,
  queryInput: () => queryInput
});
module.exports = __toCommonJS(radio_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryGroup,
  queryInput,
  fireMouseEnter,
  fireMouseLeave,
  fireChange
};
function fireMouseEnter(container) {
  const ele = queryGroup(container) || query(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)("radio");
  import_react.fireEvent.mouseEnter(ele);
}
function fireMouseLeave(container) {
  const ele = queryGroup(container) || query(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)("radio");
  import_react.fireEvent.mouseLeave(ele);
}
function fireChange(container, index) {
  const ele = queryInput(container, index);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`input.${(0, import_provider.getProvider)("prefixCls")}-radio-input`);
  import_react.fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-radio-wrapper`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryGroup(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-radio-group`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryInput(container, index = 0) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-radio-input`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireChange,
  fireMouseEnter,
  fireMouseLeave,
  query,
  queryGroup,
  queryInput
});
