var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/select/index.ts
var select_exports = {};
__export(select_exports, {
  fireBlur: () => fireBlur,
  fireClear: () => fireClear,
  fireDeSelect: () => fireDeSelect,
  fireFocus: () => fireFocus,
  fireOpen: () => fireOpen,
  fireSearch: () => fireSearch,
  fireSelect: () => fireSelect,
  query: () => query,
  queryClear: () => queryClear,
  queryDropdown: () => queryDropdown,
  queryInput: () => queryInput,
  queryOption: () => queryOption,
  querySelectorWrapper: () => querySelectorWrapper
});
module.exports = __toCommonJS(select_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryInput,
  querySelectorWrapper,
  queryDropdown,
  queryOption,
  queryClear,
  fireSearch,
  fireOpen,
  fireSelect,
  fireDeSelect,
  fireFocus,
  fireBlur,
  fireClear
};
function fireSearch(container, value) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-select-selection-search-input`;
  const ele = queryInput(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.change(ele, { target: { value } });
}
function fireOpen(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-select-selector`;
  const ele = querySelectorWrapper(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.mouseDown(ele);
}
function fireSelect(container, index) {
  const selector = `div.${(0, import_provider.getProvider)("prefixCls")}-select-item-option-content`;
  const ele = queryOption(container, index);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function fireDeSelect(container, index) {
  const selectors = [
    `.${(0, import_provider.getProvider)("prefixCls")}-select-selection-item`,
    `.${(0, import_provider.getProvider)("prefixCls")}-select-selection-item-remove`
  ];
  const ele = (0, import_utils.queryViaSelectors)(container, selectors, [index]);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`${selectors[0]}[${index}] ${selectors[1]}`);
  import_react.fireEvent.click(ele);
}
function fireFocus(container) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-select-selection-search-input`;
  const ele = queryInput(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.focus(ele);
}
function fireBlur(container) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-select-selection-search-input`;
  const ele = queryInput(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.blur(ele);
}
function fireClear(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-select-clear`;
  const ele = queryClear(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.mouseDown(ele);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-select`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryInput(container, index = 0) {
  const selector = `input.${(0, import_provider.getProvider)("prefixCls")}-select-selection-search-input`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function querySelectorWrapper(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-select-selector`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryDropdown(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-select-dropdown:not(.${(0, import_provider.getProvider)(
    "prefixCls"
  )}-select-dropdown-hidden)`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryOption(container, index = 0) {
  const selector = `div.${(0, import_provider.getProvider)("prefixCls")}-select-item-option-content`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryClear(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-select-clear`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireBlur,
  fireClear,
  fireDeSelect,
  fireFocus,
  fireOpen,
  fireSearch,
  fireSelect,
  query,
  queryClear,
  queryDropdown,
  queryInput,
  queryOption,
  querySelectorWrapper
});
