var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/table/index.ts
var table_exports = {};
__export(table_exports, {
  fireExpand: () => fireExpand,
  fireSelect: () => fireSelect,
  fireSelectAll: () => fireSelectAll,
  query: () => query2,
  queryBody: () => queryBody,
  queryHeader: () => queryHeader,
  queryRow: () => queryRow
});
module.exports = __toCommonJS(table_exports);
var import_react = require("@testing-library/react");
var checkbox = __toESM(require("../checkbox"));
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query: query2,
  queryHeader,
  queryBody,
  queryRow,
  fireSelect,
  fireSelectAll,
  fireExpand
};
function fireSelect(container, index) {
  const row = queryRow(container, index);
  if (!row)
    throw (0, import_utils.failedQuerySelector)(`.${(0, import_provider.getProvider)("prefixCls")}-table-row`);
  const ele = checkbox.query(row);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`.${(0, import_provider.getProvider)("prefixCls")}-checkbox-input`);
  import_react.fireEvent.click(ele);
}
function fireSelectAll(container) {
  const header = queryHeader(container);
  if (!header)
    throw (0, import_utils.failedQuerySelector)("table");
  const ele = checkbox.query(header);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`.${(0, import_provider.getProvider)("prefixCls")}-checkbox-input`);
  import_react.fireEvent.click(ele);
}
function fireExpand(container, index) {
  const selectors = [
    `.${(0, import_provider.getProvider)("prefixCls")}-table-row`,
    `button.${(0, import_provider.getProvider)("prefixCls")}-table-row-expand-icon`
  ];
  const ele = (0, import_utils.queryViaSelectors)(container, selectors, [index]);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`${selectors[0]}[${index}] ${selectors[1]}`);
  import_react.fireEvent.click(ele);
}
function query2(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-table-wrapper`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryHeader(container, index = 0) {
  const wrapper = query2(container, index);
  if (!wrapper)
    return null;
  const fixedHeader = wrapper.classList.contains(`.${(0, import_provider.getProvider)("prefixCls")}-table-fixed-header`);
  const selector = fixedHeader ? `.${(0, import_provider.getProvider)("prefixCls")}-table-header` : `.${(0, import_provider.getProvider)("prefixCls")}-table-thead`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryBody(container, index = 0) {
  const wrapper = query2(container, index);
  if (!wrapper)
    return null;
  const fixedHeader = wrapper.classList.contains(`.${(0, import_provider.getProvider)("prefixCls")}-table-fixed-header`);
  const selector = fixedHeader ? `.${(0, import_provider.getProvider)("prefixCls")}-table-body` : `.${(0, import_provider.getProvider)("prefixCls")}-table-tbody`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryRow(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-table-row`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireExpand,
  fireSelect,
  fireSelectAll,
  query,
  queryBody,
  queryHeader,
  queryRow
});
