var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/tabs/index.ts
var tabs_exports = {};
__export(tabs_exports, {
  fireChange: () => fireChange,
  fireClick: () => fireClick,
  fireEdit: () => fireEdit,
  query: () => query,
  queryAddButton: () => queryAddButton,
  queryRemoveButton: () => queryRemoveButton,
  queryTabTitle: () => queryTabTitle
});
module.exports = __toCommonJS(tabs_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryTabTitle,
  queryAddButton,
  queryRemoveButton,
  fireClick,
  fireChange,
  fireEdit
};
function fireClick(container, activeKey) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tabs-tab[data-node-key="${activeKey}"]`;
  const ele = queryTabTitle(container, activeKey);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function fireChange(container, activeKey) {
  fireClick(container, activeKey);
}
function fireEdit(container, action, activeKey) {
  switch (action) {
    case "add": {
      const ele = queryAddButton(container);
      if (!ele)
        throw (0, import_utils.failedQuerySelector)(`.${(0, import_provider.getProvider)("prefixCls")}-tabs-nav-add`);
      import_react.fireEvent.click(ele);
      break;
    }
    case "remove": {
      if (!activeKey)
        throw new Error("Remove action should specify activeKey!");
      const ele = queryRemoveButton(container, activeKey);
      if (!ele)
        throw (0, import_utils.failedTriggerElement)();
      import_react.fireEvent.click(ele);
      break;
    }
    default:
      throw new Error("Invalid action for Tabs. Please ensure action between add or remove");
  }
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tabs`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryTabTitle(container, activeKey) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tabs-tab[data-node-key="${activeKey}"]`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryAddButton(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tabs-nav-add`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryRemoveButton(container, activeKey) {
  const selectors = [
    `.${(0, import_provider.getProvider)("prefixCls")}-tabs-tab[data-node-key="${activeKey}"]`,
    `.${(0, import_provider.getProvider)("prefixCls")}-tabs-tab-remove`
  ];
  const ele = (0, import_utils.queryViaSelectors)(container, selectors, []);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireChange,
  fireClick,
  fireEdit,
  query,
  queryAddButton,
  queryRemoveButton,
  queryTabTitle
});
