var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/timePicker/index.ts
var timePicker_exports = {};
__export(timePicker_exports, {
  fireChange: () => fireChange,
  fireOk: () => fireOk,
  fireOpen: () => fireOpen2,
  fireSelectCell: () => fireSelectCell,
  query: () => query,
  queryDropdown: () => queryDropdown2,
  queryOk: () => queryOk
});
module.exports = __toCommonJS(timePicker_exports);
var import_react = require("@testing-library/react");
var datePicker = __toESM(require("../datePicker"));
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryDropdown: queryDropdown2,
  queryOk,
  fireOpen: fireOpen2,
  fireOk,
  fireSelectCell
};
function fireOpen2(container) {
  datePicker.fireOpen(container);
}
function fireOk(container) {
  const ele = queryOk(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`.${(0, import_provider.getProvider)("prefixCls")}-picker-ok button`);
  import_react.fireEvent.click(ele);
}
function fireSelectCell(container, index) {
  const selector = `li.${(0, import_provider.getProvider)("prefixCls")}-picker-time-panel-cell`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function fireSinglePanel(container, time) {
  const [hour, minute, second] = time.split(":");
  if (hour) {
    fireSelectCell(container.item(0), Number(hour));
  }
  if (minute) {
    fireSelectCell(container.item(1), Number(minute));
  }
  if (second) {
    fireSelectCell(container.item(2), Number(second));
  }
}
function fireChange(container, time) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-content`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  if (Array.isArray(time)) {
    fireSinglePanel(ele.children, time[0]);
    fireOk(container);
    fireSinglePanel(ele.children, time[1]);
    fireOk(container);
  } else {
    fireSinglePanel(ele.children, time);
    fireOk(container);
  }
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryDropdown2(container) {
  datePicker.queryDropdown(container);
}
function queryOk(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-picker-ok button`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireChange,
  fireOk,
  fireOpen,
  fireSelectCell,
  query,
  queryDropdown,
  queryOk
});
