var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/transfer/index.ts
var transfer_exports = {};
__export(transfer_exports, {
  fireChange: () => fireChange,
  fireScroll: () => fireScroll,
  fireSearch: () => fireSearch,
  query: () => query,
  queryOperationButton: () => queryOperationButton
});
module.exports = __toCommonJS(transfer_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryOperationButton,
  fireChange,
  fireScroll,
  fireSearch
};
function fireChange(container, direction) {
  const toRightBtn = queryOperationButton(container, 0);
  const toLeftBtn = queryOperationButton(container, 1);
  const btn = direction === "left" ? toLeftBtn : toRightBtn;
  if (!btn)
    throw (0, import_utils.failedQuerySelector)("button");
  import_react.fireEvent.click(btn);
}
function fireScroll(container, type = "source") {
  const selectors = [
    `.${(0, import_provider.getProvider)("prefixCls")}-transfer-list`,
    `.${(0, import_provider.getProvider)("prefixCls")}-transfer-list-content`
  ];
  const scrollTargetIndex = type === "source" ? 0 : 1;
  const ele = (0, import_utils.queryViaSelectors)(container, selectors, [scrollTargetIndex, 0]);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`${selectors[0]}[${scrollTargetIndex}] ${selectors[1]}[0]`);
  import_react.fireEvent.scroll(ele);
}
function fireSearch(container, opts) {
  const { direction, searchText } = opts;
  const selectors = [`.${(0, import_provider.getProvider)("prefixCls")}-transfer-list-search`, `.${(0, import_provider.getProvider)("prefixCls")}-input`];
  const searchTargetIndex = direction === "left" ? 0 : 1;
  const ele = (0, import_utils.queryViaSelectors)(container, selectors, [searchTargetIndex]);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`${selectors[0]}[${searchTargetIndex}] ${selectors[1]}`);
  import_react.fireEvent.change(ele, { target: { value: searchText } });
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-transfer`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryOperationButton(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-transfer .${(0, import_provider.getProvider)("prefixCls")}-transfer-operation button`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireChange,
  fireScroll,
  fireSearch,
  query,
  queryOperationButton
});
