var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/tree/index.ts
var tree_exports = {};
__export(tree_exports, {
  fireCheck: () => fireCheck,
  fireDrag: () => fireDrag,
  fireExpand: () => fireExpand,
  fireRightClick: () => fireRightClick,
  fireSelect: () => fireSelect,
  query: () => query
});
module.exports = __toCommonJS(tree_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  fireCheck,
  fireExpand,
  fireRightClick,
  fireSelect,
  fireDrag
};
function fireCheck(container, title) {
  var _a, _b;
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree-node-content-wrapper[title="${title}"]`;
  const checkbox = `.${(0, import_provider.getProvider)("prefixCls")}-tree-checkbox`;
  const ele = (_b = (_a = container.querySelector(selector)) == null ? void 0 : _a.parentElement) == null ? void 0 : _b.querySelector(checkbox);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`${selector}'s parentElement ${checkbox}`);
  import_react.fireEvent.click(ele);
}
function fireExpand(container, title) {
  var _a, _b;
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree-node-content-wrapper[title="${title}"]`;
  const switcher = `.${(0, import_provider.getProvider)("prefixCls")}-tree-switcher`;
  const ele = (_b = (_a = container.querySelector(selector)) == null ? void 0 : _a.parentElement) == null ? void 0 : _b.querySelector(switcher);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`${selector}'s parentElement ${switcher}`);
  import_react.fireEvent.click(ele);
}
function fireRightClick(container, title) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree-node-content-wrapper[title="${title}"]`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.contextMenu(ele);
}
function fireSelect(container, title) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree-node-content-wrapper[title="${title}"]`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function fireDrag(container, sourceNodeTitle, targetNodeTitle) {
  const selectors = [
    `.${(0, import_provider.getProvider)("prefixCls")}-tree-node-content-wrapper[title="${sourceNodeTitle}"]`,
    `.${(0, import_provider.getProvider)("prefixCls")}-tree-node-content-wrapper[title="${targetNodeTitle}"]`
  ];
  const sourceNodeEle = (0, import_utils.queryViaSelector)(container, selectors[0]);
  const targetNodeEle = (0, import_utils.queryViaSelector)(container, selectors[1]);
  if (!sourceNodeEle || !targetNodeEle)
    throw (0, import_utils.failedQuerySelectors)(selectors);
  import_react.fireEvent.dragStart(sourceNodeEle);
  import_react.fireEvent.dragLeave(sourceNodeEle);
  import_react.fireEvent.dragEnter(targetNodeEle);
  import_react.fireEvent.dragOver(targetNodeEle);
  import_react.fireEvent.drop(targetNodeEle);
  import_react.fireEvent.dragEnd(targetNodeEle);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireCheck,
  fireDrag,
  fireExpand,
  fireRightClick,
  fireSelect,
  query
});
