var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/treeSelect/index.ts
var treeSelect_exports = {};
__export(treeSelect_exports, {
  fireOpen: () => fireOpen,
  fireSearch: () => fireSearch,
  fireSelect: () => fireSelect,
  fireTreeExpand: () => fireTreeExpand,
  query: () => query,
  queryClear: () => queryClear,
  queryDropdown: () => queryDropdown,
  queryInput: () => queryInput,
  queryOption: () => queryOption,
  querySelectorWrapper: () => querySelectorWrapper
});
module.exports = __toCommonJS(treeSelect_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryInput,
  queryDropdown,
  queryOption,
  querySelectorWrapper,
  queryClear,
  fireOpen,
  fireSearch,
  fireSelect,
  fireTreeExpand
};
function fireOpen(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree-select .${(0, import_provider.getProvider)("prefixCls")}-select-selector`;
  const ele = querySelectorWrapper(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.mouseDown(ele);
}
function fireSearch(container, value) {
  const selector = "input";
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.change(ele, { target: { value } });
}
function fireSelect(container, index) {
  const selector = `span.${(0, import_provider.getProvider)("prefixCls")}-select-tree-node-content-wrapper`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function fireTreeExpand(container, index) {
  var _a, _b;
  const selector = `span.${(0, import_provider.getProvider)("prefixCls")}-select-tree-node-content-wrapper`;
  const switcher = `.${(0, import_provider.getProvider)("prefixCls")}-select-tree-switcher`;
  const ele = (_b = (_a = container.querySelectorAll(selector).item(index)) == null ? void 0 : _a.parentElement) == null ? void 0 : _b.querySelector(switcher);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`${selector}[${index}]'s parentElement ${switcher}`);
  import_react.fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree-select`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryInput(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree-select input.${(0, import_provider.getProvider)(
    "prefixCls"
  )}-select-selection-search-input`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function querySelectorWrapper(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree-select .${(0, import_provider.getProvider)("prefixCls")}-select-selector`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryDropdown(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree-select-dropdown:not(.${(0, import_provider.getProvider)(
    "prefixCls"
  )}-select-dropdown-hidden)`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryOption(container, index = 0) {
  const selector = `span.${(0, import_provider.getProvider)("prefixCls")}-select-tree-node-content-wrapper`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryClear(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-tree-select .${(0, import_provider.getProvider)("prefixCls")}-select-clear`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireOpen,
  fireSearch,
  fireSelect,
  fireTreeExpand,
  query,
  queryClear,
  queryDropdown,
  queryInput,
  queryOption,
  querySelectorWrapper
});
