var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/upload/index.ts
var upload_exports = {};
__export(upload_exports, {
  fireRemove: () => fireRemove,
  fireUpload: () => fireUpload,
  query: () => query,
  queryUploadListItem: () => queryUploadListItem
});
module.exports = __toCommonJS(upload_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryUploadListItem,
  fireUpload,
  fireRemove
};
function fireUpload(container, files) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-upload input[type='file']`;
  const ele = query(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.change(ele, { target: { files } });
  (0, import_react.act)(() => {
    jest.runAllTimers();
  });
}
function fireRemove(container, index = 0) {
  const selectors = [
    `.${(0, import_provider.getProvider)("prefixCls")}-upload-list .${(0, import_provider.getProvider)("prefixCls")}-upload-list-item-container`,
    ".anticon-delete"
  ];
  const listItemEle = queryUploadListItem(container, index);
  if (!listItemEle)
    throw (0, import_utils.failedQuerySelector)(selectors[0]);
  const ele = (0, import_utils.queryViaSelector)(listItemEle, selectors[1]);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selectors[1]);
  import_react.fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-upload input[type='file']`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryUploadListItem(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-upload-list .${(0, import_provider.getProvider)("prefixCls")}-upload-list-item-container`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireRemove,
  fireUpload,
  query,
  queryUploadListItem
});
