var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/utils/index.ts
var utils_exports = {};
__export(utils_exports, {
  failedQuerySelector: () => failedQuerySelector,
  failedQuerySelectors: () => failedQuerySelectors,
  failedTriggerElement: () => failedTriggerElement,
  mixinElementWithTestFuncs: () => mixinElementWithTestFuncs,
  queryViaSelector: () => queryViaSelector,
  queryViaSelectors: () => queryViaSelectors
});
module.exports = __toCommonJS(utils_exports);
var failedQuerySelector = (selector) => new Error(`Failed to query selector about "${selector}"`);
var failedQuerySelectors = (selectors) => new Error(`Failed to query selector neither "${selectors.join('" nor "')}"`);
var failedTriggerElement = () => new Error("Failed to trigger element for NOT found element");
function queryViaSelector(container, selector, index) {
  if (!container)
    throw new Error("container element is null");
  if (!(container instanceof Document) && container.matches(selector)) {
    return container;
  }
  if (typeof index === "number") {
    return container.querySelectorAll(selector).item(index);
  }
  return container.querySelector(selector);
}
function queryViaSelectors(container, selectors, index) {
  const i = selectors.findIndex(
    function(selector) {
      this.className += ` ${selector}`;
      return !(container instanceof Document) && !container.matches(this.className);
    },
    {
      className: ""
    }
  );
  const restSelectors = selectors.slice(i);
  const restIndex = index.slice(i);
  return restSelectors.reduce((acc, cur, idx) => {
    const queryAll = typeof restIndex[idx] === "number";
    if (queryAll) {
      return acc == null ? void 0 : acc.querySelectorAll(cur).item(restIndex[idx]);
    }
    return acc == null ? void 0 : acc.querySelector(cur);
  }, container);
}
function mixinElementWithTestFuncs(el, funcs) {
  if (!el)
    return el;
  const mixinFunctions = Object.keys(funcs);
  mixinFunctions.forEach((funcName) => {
    if (!Object.prototype.hasOwnProperty.call(el, funcName)) {
      el[funcName] = funcs[funcName].bind(this, el);
    }
  });
  return el;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  failedQuerySelector,
  failedQuerySelectors,
  failedTriggerElement,
  mixinElementWithTestFuncs,
  queryViaSelector,
  queryViaSelectors
});
