// src/alert/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, queryViaSelector } from "../utils";
function fireClose(container) {
  const selector = `.${getProvider("prefixCls")}-alert-close-icon`;
  const ele = queryViaSelector(container, selector);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-alert`;
  const ele = queryViaSelector(container, selector, index);
  return ele;
}
export {
  fireClose,
  query
};
