// src/anchor/index.tsx
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  queryLink,
  fireClick
};
function fireClick(container, indexOrHash) {
  let ele = null;
  let selector = "";
  if (typeof indexOrHash === "string") {
    selector = `.${getProvider("prefixCls")}-anchor-link-title[href="${indexOrHash}"]`;
    ele = queryViaSelector(container, selector);
    if (!ele)
      throw failedQuerySelector(selector);
  } else if (typeof indexOrHash === "number") {
    selector = getSelector("link");
    ele = queryLink(container, indexOrHash);
  } else {
    selector = getSelector("link");
    ele = queryLink(container);
  }
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = getSelector();
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryLink(container, index = 0) {
  const selector = getSelector("link");
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function getSelector(type = "default") {
  switch (type) {
    case "default":
      return `.${getProvider("prefixCls")}-anchor-wrapper`;
    case "link":
      return `.${getProvider("prefixCls")}-anchor-link-title`;
    default:
      return "";
  }
}
export {
  fireClick,
  query,
  queryLink
};
