// src/autoComplete/index.ts
import { getProvider } from "../provider";
import * as select from "../select";
import { mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  queryInput: queryInput2,
  querySelectorWrapper: querySelectorWrapper2,
  queryDropdown,
  queryOption: queryOption2,
  queryClear: queryClear2,
  fireSearch: fireSearch2,
  fireOpen: fireOpen2,
  fireSelect: fireSelect2,
  fireFocus: fireFocus2,
  fireBlur: fireBlur2,
  fireClear: fireClear2
};
function fireSearch2(container, value) {
  select.fireSearch(container, value);
}
function fireOpen2(container) {
  select.fireOpen(container);
}
function fireSelect2(container, index) {
  select.fireSelect(container, index);
}
function fireFocus2(container) {
  select.fireFocus(container);
}
function fireBlur2(container) {
  select.fireBlur(container);
}
function fireClear2(container) {
  select.fireClear(container);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-select-auto-complete`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryInput2(container, index = 0) {
  return select.queryInput(container, index);
}
function querySelectorWrapper2(container, index = 0) {
  return select.querySelectorWrapper(container, index);
}
function queryDropdown(container) {
  const selector = `.${getProvider("prefixCls")}-select-dropdown:not(.${getProvider(
    "prefixCls"
  )}-select-dropdown-hidden)`;
  const ele = queryViaSelector(container, selector);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryOption2(container, index = 0) {
  return select.queryOption(container, index);
}
function queryClear2(container, index = 0) {
  return select.queryClear(container, index);
}
export {
  fireBlur2 as fireBlur,
  fireClear2 as fireClear,
  fireFocus2 as fireFocus,
  fireOpen2 as fireOpen,
  fireSearch2 as fireSearch,
  fireSelect2 as fireSelect,
  query,
  queryClear2 as queryClear,
  queryDropdown,
  queryInput2 as queryInput,
  queryOption2 as queryOption,
  querySelectorWrapper2 as querySelectorWrapper
};
