// src/breadcrumb/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  queryBreadcrumbItem,
  fireClick
};
function fireClick(container, index) {
  const selector = `.${getProvider("prefixCls")}-breadcrumb-link`;
  const ele = queryViaSelector(container, selector, index);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-breadcrumb`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryBreadcrumbItem(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-breadcrumb-link`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireClick,
  query,
  queryBreadcrumbItem
};
