// src/card/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  fireTabChange
};
function fireTabChange(container, key) {
  const selector = `.${getProvider("prefixCls")}-card-contain-tabs .${getProvider(
    "prefixCls"
  )}-card-head .${getProvider("prefixCls")}-tabs-tab[data-node-key="${key}"]`;
  const ele = queryViaSelector(container, selector);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-card`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireTabChange,
  query
};
