// src/checkbox/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  queryGroup,
  queryInput,
  fireChange
};
function fireChange(container, index) {
  const selector = `.${getProvider("prefixCls")}-checkbox-input`;
  const ele = queryInput(container, index);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-checkbox-wrapper`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryGroup(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-checkbox-group`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryInput(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-checkbox-input`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireChange,
  query,
  queryGroup,
  queryInput
};
