// src/collapse/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector, queryViaSelectors } from "../utils";
var mixins = {
  query,
  queryPanelContent,
  queryPanelHeader,
  fireChange
};
function fireChange(container, index) {
  const selector = `.${getProvider("prefixCls")}-collapse-header`;
  const ele = queryViaSelector(container, selector, index);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-collapse`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryPanelContent(container, index = 0) {
  const selectors = [
    `.${getProvider("prefixCls")}-collapse-item`,
    `.${getProvider("prefixCls")}-collapse-content-box`
  ];
  const ele = queryViaSelectors(container, selectors, [index, 0]);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryPanelHeader(container, index = 0) {
  const selectors = [
    `.${getProvider("prefixCls")}-collapse-item`,
    `.${getProvider("prefixCls")}-collapse-header-text`
  ];
  const ele = queryViaSelectors(container, selectors, [index, 0]);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireChange,
  query,
  queryPanelContent,
  queryPanelHeader
};
