import type { IContainer, MixinElement } from '../interface';
/**
 * Fires onClose function.
 *
 * Call onClose via close icon by default
 * @example
 * const fn = jest.fn();
 * const { container } = render(<Drawer getContainer={false} open onClose={fn} />);
 * drawer.fireClose(container);
 * expect(fn).toBeCalled();
 */
export declare function fireClose(container: IContainer, opt?: {
    closeByMask: boolean;
}): void;
