// src/drawer/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, queryViaSelector } from "../utils";
function fireClose(container, opt = { closeByMask: true }) {
  const selector = opt.closeByMask ? `.${getProvider("prefixCls")}-drawer-mask` : `.${getProvider("prefixCls")}-drawer-close`;
  const ele = queryViaSelector(container, selector);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
export {
  fireClose
};
