// src/form/index.ts
import { getProvider } from "../provider";
import { mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  queryFormItems,
  queryFormItemControls
};
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-form`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryFormItems(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-form-item`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryFormItemControls(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-form-item-control`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  query,
  queryFormItemControls,
  queryFormItems
};
