// src/menu/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  fireMenuItemClick,
  fireSubMenuClick
};
function fireMenuItemClick(container, index) {
  const selector = `li.${getProvider("prefixCls")}-menu-item`;
  const ele = queryViaSelector(container, selector, index);
  if (!ele)
    throw failedQuerySelector(`${selector} with index ${index}`);
  fireEvent.click(ele);
}
function fireSubMenuClick(container, index) {
  const selector = `div.${getProvider("prefixCls")}-menu-submenu-title`;
  const ele = queryViaSelector(container, selector, index);
  if (!ele)
    throw failedQuerySelector(`${selector} with index ${index}`);
  fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-menu`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireMenuItemClick,
  fireSubMenuClick,
  query
};
