// src/message/index.ts
import { act, fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  queryContent,
  fireClick
};
function fireClick(container) {
  const ele = queryContent(container);
  if (!ele)
    throw failedQuerySelector(`.${getProvider("prefixCls")}-notice-content`);
  fireEvent.click(ele);
}
async function fireClose(duration = 3e3) {
  for (let i = 0; i < 10; i += 1) {
    await Promise.resolve();
  }
  act(() => {
    jest.advanceTimersByTime(duration);
  });
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-message`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryContent(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-message-notice-content`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireClick,
  fireClose,
  query,
  queryContent
};
