import * as button from '../button';
import type { IContainer } from '../interface';
import * as modal from './';
/**
 * Open confirm
 * @prerequisite call `jest.useFakeTimers()`
 */
export declare function fireOpen(ele?: HTMLElement): void;
/**
 * Fires onOk function
 */
export declare function fireOk(container: IContainer): void;
/**
 * Fires onCancel function
 */
export declare function fireCancel(container: IContainer): void;
/**
 * Returns the container element
 */
export declare function query(container: IContainer, index?: number): import("../interface").MixinElement<{
    query: typeof modal.query;
    queryModalFooter: typeof modal.queryModalFooter;
    queryOkButton: typeof modal.queryOkButton;
    queryCancelButton: typeof modal.queryCancelButton;
    queryMask: typeof modal.queryMask;
    fireOk: typeof modal.fireOk;
    fireCancel: typeof modal.fireCancel;
}> | null | undefined;
/**
 * Returns the btns area inside Modal.confirm
 */
export declare function queryBtns(container: IContainer, index?: number): HTMLElement | null;
/**
 * Returns the cancel button
 */
export declare function queryCancelButton(container: IContainer, index?: number): HTMLButtonElement | import("../interface").MixinElement<{
    query: typeof button.query;
    fireClick: typeof button.fireClick;
}> | null | undefined;
/**
 * Returns the Ok button
 */
export declare function queryOkButton(container: IContainer, index?: number): HTMLButtonElement | import("../interface").MixinElement<{
    query: typeof button.query;
    fireClick: typeof button.fireClick;
}> | null | undefined;
