// src/notification/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  fireClick,
  fireClose
};
function fireClick(container) {
  const selector = `.${getProvider("prefixCls")}-notification-notice`;
  const ele = query(container);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
function fireClose(container) {
  const selectors = [
    `.${getProvider("prefixCls")}-notification-notice-close`,
    `.${getProvider("prefixCls")}-notification-notice-btn`
  ];
  const ele = queryViaSelector(container, selectors[0]) || queryViaSelector(container, selectors[1]);
  if (!ele)
    throw failedQuerySelector(`${selectors[0]} or ${selectors[1]}`);
  fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-notification-notice`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireClick,
  fireClose,
  query
};
