// src/qrCode/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelectors, mixinElementWithTestFuncs, queryViaSelector, queryViaSelectors } from "../utils";
var mixins = {
  query,
  fireRefresh
};
function fireRefresh(container, index = 0) {
  const selectors = [`.${getProvider("prefixCls")}-qrcode`, `.${getProvider("prefixCls")}-qrcode-expired~button`];
  const ele = queryViaSelectors(container, selectors, [index, 0]);
  if (!ele)
    throw failedQuerySelectors(selectors);
  fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-qrcode`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireRefresh,
  query
};
