// src/rate/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var resetProperty = () => {
  Object.defineProperties(MouseEvent.prototype, {
    pageX: {
      get() {
        return this.clientX;
      },
      configurable: true
    }
  });
};
var mixins = {
  query,
  fireChange,
  fireHoverChange
};
function fireChange(container, value) {
  resetProperty();
  const isHalfStar = !Number.isInteger(value);
  const starIntValue = Math.ceil(value);
  const selector = `.${getProvider("prefixCls")}-rate .${getProvider(
    "prefixCls"
  )}-rate-star > div[aria-posinset="${starIntValue}"]`;
  const ele = container.querySelector(selector);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent(ele, new MouseEvent("click", { clientX: isHalfStar ? -1 : 0, bubbles: true }));
}
function fireHoverChange(container, value) {
  resetProperty();
  const isHalfStar = !Number.isInteger(value);
  const starIntValue = Math.ceil(value);
  const selector = `.${getProvider("prefixCls")}-rate .${getProvider(
    "prefixCls"
  )}-rate-star > div[aria-posinset="${starIntValue}"]`;
  const ele = container.querySelector(selector);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent(ele, new MouseEvent("mousemove", { clientX: isHalfStar ? -1 : 0, bubbles: true }));
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-rate`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireChange,
  fireHoverChange,
  query
};
