// src/switch/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  fireClick,
  fireChange
};
function fireClick(container) {
  const ele = query(container);
  if (!ele)
    throw failedQuerySelector(`.${getProvider("prefixCls")}-switch`);
  fireEvent.click(ele);
}
function fireChange(container) {
  fireClick(container);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-switch`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireChange,
  fireClick,
  query
};
