// src/tag/index.ts
import { fireEvent, queryByText } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  fireClose
};
function fireClose(container, titleOrIndex) {
  var _a;
  const selector = `.${getProvider("prefixCls")}-tag-close-icon`;
  const ele = (_a = query(container, titleOrIndex)) == null ? void 0 : _a.querySelector(selector);
  if (!ele)
    throw failedQuerySelector(`${selector} with ${titleOrIndex}`);
  fireEvent.click(ele);
}
function query(container, titleOrIndex) {
  const selector = `.${getProvider("prefixCls")}-tag`;
  let ele = null;
  if (typeof titleOrIndex === "string") {
    ele = queryByText(container, titleOrIndex, { selector });
  } else {
    ele = queryViaSelector(container, selector, titleOrIndex);
  }
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireClose,
  query
};
