import { MixinElement } from "../interface";

/**
 * Show up tooltip
 * @example
 * const fn = jest.fn();
 *         const { getByText, getByTestId } = render(
 *             <Tooltip title="This's title" getPopupContainer={(node) => node.parentElement!} onOpenChange={fn}>
 *                 <a data-testid="trigger">trigger</a>
 *             </Tooltip>
 *         );
 *         tooltip.fireOpen(getByTestId('trigger'));
 *
 *         expect(fn).toBeCalledTimes(1);
 *         expect(getByText("This's title")).not.toBeNull();
 */
export declare function fireOpen(ele?: HTMLElement): void;
