// src/tour/index.ts
import { fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  fireNextStep,
  firePrevStep
};
function fireNextStep(container) {
  const selector = `.${getProvider("prefixCls")}-tour-next-btn`;
  const ele = queryViaSelector(container, selector);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
function firePrevStep(container) {
  const selector = `.${getProvider("prefixCls")}-tour-prev-btn`;
  const ele = queryViaSelector(container, selector);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
function fireClose(container) {
  const selector = `.${getProvider("prefixCls")}-tour-close`;
  const ele = queryViaSelector(container, selector);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.click(ele);
}
function query(container) {
  const selector = `.${getProvider("prefixCls")}-tour`;
  const ele = queryViaSelector(container, selector);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireClose,
  fireNextStep,
  firePrevStep,
  query
};
