// src/upload/index.ts
import { act, fireEvent } from "@testing-library/react";
import { getProvider } from "../provider";
import { failedQuerySelector, mixinElementWithTestFuncs, queryViaSelector } from "../utils";
var mixins = {
  query,
  queryUploadListItem,
  fireUpload,
  fireRemove
};
function fireUpload(container, files) {
  const selector = `.${getProvider("prefixCls")}-upload input[type='file']`;
  const ele = query(container);
  if (!ele)
    throw failedQuerySelector(selector);
  fireEvent.change(ele, { target: { files } });
  act(() => {
    jest.runAllTimers();
  });
}
function fireRemove(container, index = 0) {
  const selectors = [
    `.${getProvider("prefixCls")}-upload-list .${getProvider("prefixCls")}-upload-list-item-container`,
    ".anticon-delete"
  ];
  const listItemEle = queryUploadListItem(container, index);
  if (!listItemEle)
    throw failedQuerySelector(selectors[0]);
  const ele = queryViaSelector(listItemEle, selectors[1]);
  if (!ele)
    throw failedQuerySelector(selectors[1]);
  fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-upload input[type='file']`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
function queryUploadListItem(container, index = 0) {
  const selector = `.${getProvider("prefixCls")}-upload-list .${getProvider("prefixCls")}-upload-list-item-container`;
  const ele = queryViaSelector(container, selector, index);
  return mixinElementWithTestFuncs(ele, mixins);
}
export {
  fireRemove,
  fireUpload,
  query,
  queryUploadListItem
};
