import type { IContainer, MixinElement, ReturnElement } from '../interface';
export declare const failedQuerySelector: (selector: string) => Error;
export declare const failedQuerySelectors: (selectors: string[]) => Error;
export declare const failedTriggerElement: () => Error;
/**
 * 判断容器元素自身是否匹配选择器
 */
export declare function queryViaSelector<T extends HTMLElement>(container: IContainer, selector: string, index?: number): T | null;
export declare function queryViaSelectors<T extends HTMLElement>(container: IContainer, selectors: string[], index: number[]): T | null | undefined;
export declare function mixinElementWithTestFuncs<T extends Record<string, Function>>(el: ReturnElement, funcs: T): MixinElement<T> | null | undefined;
